Author Topic: 0 [] operator not supported for strings when selecting configuration option  (Read 10845 times)

jankoo

  • Jr. Member
  • **
  • Posts: 62
Some people have reported problems with PHP7.3 so it is advised to use no later than 7.2 currently.

ok.. now i have it also on php 7.2.13.. so what version should i use?
it wont be fixed for all?

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27480
  • Always on vacation
    • Jenkin Hill Internet
7.2 is fine.
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.4.3.10057 on Joomla 3.9.10 PHP 7.0.33
Testing VM 3.5.0.10097 on Joomla 3.9.10

jankoo

  • Jr. Member
  • **
  • Posts: 62
7.2 is fine.

i dont have this option on hosting.. on none of the php versions i cant open the settings  :'(
i can have 7.1.25, 7.2.13 or 7.3.0

what i can do? why important thing as this still dont work.. its issue from 2016?

GJC Web Design

  • 3rd party VirtueMart Developer
  • Super Hero
  • *
  • Posts: 8960
  • Virtuemart, Joomla & php developer
    • GJC Web Design
  • VirtueMart Version: 3.4.2
7.2.13 ==  7.2

they are sub versions

If u want the  0 [] operator not supported for strings fixed u need to do the research to find WHERE this is being thrown .. most of my sites are on php 7.3 and I haven't seen this error since all ( most? ) were found months ago
could just as easily be in a 3rd party plugin etc etc
GJC Web Design
VirtueMart and Joomla Developers - php developers http://www.gjcwebdesign.com
VM3 AusPost Shipping Plugin - e-go Shipping Plugin - VM3 Postcode Shipping Plugin - Radius Shipping Plugin - VM3 NZ Post Shipping Plugin - AusPost Estimator
Samport Payment Plugin - EcomMerchant Payment Plugin - ccBill payment Plugin
VM2 Product Lock Extension - VM2 Preconfig Adresses Extension - TaxCloud USA Taxes Plugin - Virtuemart  Product Review Component
http://extensions.joomla.org/profile/profile/details/67210
Contact for any VirtueMart or Joomla development & customisation

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9856
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Meanwhile it should also run on php7.3, if there are good bug reports, we can provide a fix. But the current main php version is php 7.2
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/